<?php

namespace Essentials\Core;

class Config
{
    /**
     * @var object
     */
    public $assets;

    /**
     * @var object
     */
    public $common;

    /**
     * @var object
     */
    public $customizer;

    /**
     * @var array
     */
    public $layouts;

    /**
     * @var object
     */
    public $options;

    /**
     * @var array
     */
    public $post_meta;

    /**
     * @var array Post types custom options list
     */
    public $post_types;

    /**
     * @var array Taxonomies custom options list
     */
    public $taxonomies;

    /**
     * @var Context
     */
    private $context;

    /**
     * @param $context Context
     */
    public function __construct($context)
    {
        $this->context = $context;
    }

    /**
     * Read theme JSON config file and write result into config
     * @param $section string|array Config property to update
     * @return Config Configuration
     */
    public function read($section)
    {
        $sections = is_array($section) ? $section : array($section);

        foreach($sections as $section) {
            $name = str_replace('_', '-', $section);
            $file = locate_template("config/$name.json");
            if(!empty($file)) {
                $this->$section = json_decode(file_get_contents($file));
            }
        }

        return $this;
    }

    /**
     * @param $var mixed
     * @return array|mixed
     */
    public static function make_array($var) {
        if(is_object($var)) {
            $var = get_object_vars($var);
        }

        if(is_array($var)) {
            foreach($var as &$item) {
                $item = self::make_array($item);
            }
        }

        return $var;
    }
}