<?php

namespace Essentials\Core;

class Support
{
    private static $defaults = array(
        'post-formats' => false,
        'post-thumbnails' => true,
        'custom-background' => false,
        'custom-header' => false,
        'automatic-feed-links' => true,
        'html5' => array('comment-list', 'comment-form', 'search-form', 'gallery', 'caption'),
        'title-tag' => true
    );

    private $settings;

    private function __construct($options)
    {
        $this->settings = array_merge(self::$defaults, $options);

        add_action('after_setup_theme', array($this, 'setup'));
    }

    public function setup()
    {
        foreach ($this->settings as $feature => $args) {
            if (!$args) {
                continue;
            }

            if (is_object($args)) {
                $args = get_object_vars($args);
            }

            if (is_array($args)) {
                add_theme_support($feature, $args);
            } else {
                add_theme_support($feature);
            }
        }
    }

    public static function init($options)
    {
        new Support(empty($options) ? array() : get_object_vars($options));
    }
}