<?php

/*
Plugin Name: Openmarco Essentials
Plugin URI: http://openmarco.com/
Description: Custom Wordpress framework and necessary tools.
Version: 1.0.10
Author: Openmarco
Author URI: http://openmarco.com/
License: General Public License
*/

use Essentials\Core\Config;
use Essentials\Core\Context;
use Essentials\Core\Framework;

require_once __DIR__ . '/inc/autoload.php';

spl_autoload_register(function ($class) {
    $in = array('\\', '_', 'essentials');
    $out = array('/', '-', 'lib');
    $file = __DIR__ . '/' . str_replace($in, $out, strtolower($class)) . '.php';

    if (file_exists($file)) {
        require_once $file;
    }
});

function openmarco_essentials_init()
{
    $context = new Context();
    $config = new Config($context);
    $config->read(array('common', 'customizer', 'options', 'post_meta', 'post_types', 'taxonomies', 'layouts', 'assets'));

    Framework::create($context, $config);
}

function openmarco_pre($variable)
{
    \Essentials\Utils\Debug::display($variable);
}