<?php
if (!defined('ABSPATH')) exit; // Exit if accessed directly

/**
 * Main child theme class
 *
 * @class OM_Child_Theme
 */
final class OM_Child_Theme
{
    /**
     * @var bool|mixed|null|string Theme version
     */
    private $version;

    /**
     * Setup all the things
     */
    public function __construct()
    {
        $theme = wp_get_theme();
        $this->version = $theme->Version;

        add_action('wp_enqueue_scripts', array($this, 'enqueue_css'));
        add_action('wp_enqueue_scripts', array($this, 'enqueue_js'));

        // Includes
        require_once(__DIR__ . '/lib/extras.php');
    }

    /**
     * Enqueue the CSS
     */
    public function enqueue_css()
    {
        wp_enqueue_style('child-custom-css', get_stylesheet_directory_uri() . '/assets/css/style.css', null, $this->version);
    }

    /**
     * Enqueue the Javascript
     */
    public function enqueue_js()
    {
        wp_enqueue_script('child-custom-js', get_stylesheet_directory_uri() . '/assets/js/custom.js', array('jquery'), $this->version, true);
    }
}

/**
 * Initialise
 */
add_action('init', function () {
    new OM_Child_Theme();
});