<?php use Essentials\Data\Options; ?>
<?php
if (!om_is_essentials()) {
    $section_class = '';
    $show_meta = true;
    $next_prev_container_class = 'container';
} else {
    $section_class = Options::get('content_section_size');
    $show_meta = (get_post_type() === 'post' && Options::get('post_meta_data_show'))
        || (get_post_type() === 'post' && Options::get('post_meta_data_show'));
    $next_prev_container_class = Options::specified('single_next_previous_container') ? Options::get('single_next_previous_container') : 'container';

}
?>

<?php while (have_posts()) : the_post(); ?>
    <?php $section_atts = om_get_shifting_attributes(''); ?>
    <article <?php post_class(); ?>>
        <?php get_template_part('parts/header'); ?>

        <div class="entry-content">
            <?php if (om_is_vc_page()) : ?>
                <?php the_content(); ?>
            <?php else: ?>
                <div class="section <?php echo esc_attr($section_class) ?>"<?php om_attributes_string($section_atts) ?>>
                    <div class="container">
                        <div class="section-content">
                            <div class="row">
                                <div class="col-sm-8">
								<?php
if ( has_post_thumbnail() ) { // check if the post has a Post Thumbnail assigned to it.
the_post_thumbnail( 'full' );
}
?>

<h3 class="entry-title"><?php the_title(); ?></h3>
 <?php the_content(); ?>
                                </div>
                                <div class="col-sm-4">
<?php if ( is_active_sidebar( 'posts_right' ) ) :
    dynamic_sidebar( 'posts_right' );
endif; ?> 
<?php get_sidebar('posts_right'); ?> 
                               
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endif ?>
        </div>
         <div class="entry-content">
        <div class="container">
        <div class="row">
        <?php zemanta_related_posts()?>
        </div>
        </div>
        </div>
        
        
       

        <?php if ($show_meta) : ?>
            <div class="section section-half"<?php om_attributes_string($section_atts) ?>>
                <div class="container">
                    <div class="section-content">
                        <?php if (in_array(get_post_type(), array('post', 'project'))) get_template_part('parts/' . get_post_type() . '-meta'); ?>
                    </div>
                </div>
            </div>
        <?php endif ?>

        <?php if (!om_is_vc_page()) om_page_nav(om_get_attributes_string($section_atts)); ?>

        <?php if (om_has_comments_section()) : ?>
            <div style="display:none;" class="container"<?php om_attributes_string($section_atts) ?>>
                <div class="row">
                    <div class="col-sm-10 col-sm-offset-1">
                        <?php comments_template('/parts/comments.php'); ?>
                    </div>
                </div>
            </div>
        <?php endif ?>


        <nav style="display:none;" class="<?php echo sanitize_html_class($next_prev_container_class) ?>"<?php om_attributes_string($section_atts) ?>>
            <ul class="pager">
                <?php om_all_posts_link(); ?>
                <?php om_prev_post_link(); ?>
                <?php om_next_post_link(); ?>
            </ul>
        </nav>
    </article>
<?php endwhile; 