!function ($) {
    'use strict';

    var userAgent = navigator.userAgent,
        isGecko = /rv:([^\)]+)\) Gecko\/\d{8}/.test(userAgent),
        isFirefox = /Firefox\/(\S+)/.test(userAgent),
        isObjectFit = Modernizr && !!Modernizr.prefixed('objectFit') && !isGecko && !isFirefox;

    function coverFallback() {
        var $img = $(this).css('display', 'none');

        $('<div class="img-cover">').css({
            'background': 'url(' + $img.prop('src') + ') no-repeat center',
            'background-size': 'cover'
        }).insertAfter($img);
    }

    $(function () {
        if (!isObjectFit) {
            $('[data-image-cover]').each(function () {
                var $this = $(this);

                $this.imagesLoaded(function () {
                    $this.find('.img-cover').each(coverFallback);
                });
            });
        }
    });

}(jQuery);