<?php

/** @var $this OM_Google_Maps */

wp_enqueue_script('google-maps', '//maps.google.com/maps/api/js?v=3&amp;sensor=false', array(), false, true);

$instance = $this->settings;

$defined = om_get_theme_defined();

if (empty($instance['center'])) {
    $place = '[40.689375,-74.044508]';
} else {
    $place = explode('|', $instance['center'], 2);
    $place = '[' . $place[0] . ']';
}

if (empty($instance['marker'])) {
    $marker = get_template_directory_uri() . '/assets/img/marker.png';
} else {
    $marker = om_get_image($instance['marker']);
    $marker = $marker['full']['url'];
}

$data = array(
    'data-map-place' => $place,
    'data-map-zoom' => empty($instance['zoom_level']) ? '15' : $instance['zoom_level'],
    'data-map-bg' => empty($instance['background_color']) ? $defined['map-background'] : $instance['background_color'],
    'data-map-scrollwheel' => empty($instance['scroll_to_zoom']) ? 'false' : $instance['scroll_to_zoom'],
    'data-map-draggable' => empty($instance['draggable']) ? 'false' : $instance['draggable'],
    'data-map-styles' => empty($instance['styles']) ? $defined['map-styles'] : rawurldecode(base64_decode($instance['styles'])),
    'data-map-icon' => esc_url($marker),
    'data-map-controls' => $this->get_controls(),
);
?>

<div class="map-place"<?php echo om_get_attributes_string($data); ?>></div>