<?php
/**
 * The template for displaying product category thumbnails within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product_cat.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see     http://docs.woothemes.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.5.2
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop_cat'] ) ) {
	$woocommerce_loop['loop_cat'] = 0;
}

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns_cat'] ) ) {
    $woocommerce_loop['columns_cat'] = apply_filters( 'loop_shop_columns', 3 );
    $woocommerce_loop['columns_cat'] = apply_filters( 'loop_shop_columns_cat', $woocommerce_loop['columns_cat'] );
}

if (empty($woocommerce_loop['col_rates_cat'])) {
    $woocommerce_loop['col_rates_cat'] = apply_filters('loop_col_rates_cat', om_get_shop_col_rates($woocommerce_loop['columns_cat']));
    $woocommerce_loop['col_class_cat'] = om_get_shop_col_classes($woocommerce_loop['col_rates_cat']);
}

om_shop_clearfix($woocommerce_loop['col_rates_cat'], $woocommerce_loop['loop_cat']);

// Increase loop count
$woocommerce_loop['loop_cat'] ++;
?>
<div class="<?php echo esc_attr($woocommerce_loop['col_class_cat']) ?>">
    <article class="product-category product">

	<?php
	/**
	 * woocommerce_before_subcategory hook.
	 *
	 * @hooked woocommerce_template_loop_category_link_open - 10
	 */
	do_action( 'woocommerce_before_subcategory', $category );
    ?>

        <a class="thumb-link" href="<?php echo get_term_link($category->slug, 'product_cat'); ?>">

            <?php
            /**
             * woocommerce_before_subcategory_title hook.
             *
             * @hooked woocommerce_subcategory_thumbnail - 10
             */
            do_action( 'woocommerce_before_subcategory_title', $category );
            ?>
        </a>


        <a class="title" href="<?php echo get_term_link($category->slug, 'product_cat'); ?>">
	        <?php
	        /**
	        * woocommerce_shop_loop_subcategory_title hook.
	        *
	        * @hooked woocommerce_template_loop_category_title - 10
	        */
	        do_action( 'woocommerce_shop_loop_subcategory_title', $category );
	        ?>
        </a>

	<?php
	/**
	 * woocommerce_after_subcategory_title hook.
	 */
	do_action( 'woocommerce_after_subcategory_title', $category );

	/**
	 * woocommerce_after_subcategory hook.
	 *
	 * @hooked woocommerce_template_loop_category_link_close - 10
	 */
	do_action( 'woocommerce_after_subcategory', $category ); ?>
    </article>
</div>
