<?php
/**
 * Edit account form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/form-edit-account.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer).
 * will need to copy the new files to your theme to maintain compatibility. We try to do this.
 * as little as possible, but it does happen. When this occurs the version of the template file will.
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.5.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
?>

<?php wc_print_notices(); ?>

<div class="row">
    <div class="col-md-10 col-md-offset-1 col-lg-8 col-lg-offset-2">

        <form action="" method="post">

            <?php do_action( 'woocommerce_edit_account_form_start' ); ?>

            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group">
                        <label for="account_first_name"><?php _e( 'First name', 'woocommerce' ); ?> <span class="required">*</span></label>
                        <input type="text" class="form-control" name="account_first_name" id="account_first_name" value="<?php echo esc_attr( $user->first_name ); ?>"/>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-group">
                        <label for="account_last_name"><?php _e( 'Last name', 'woocommerce' ); ?> <span class="required">*</span></label>
                        <input type="text" class="form-control" name="account_last_name" id="account_last_name" value="<?php echo esc_attr( $user->last_name ); ?>" />
                    </div>
                </div>
                <div class="clearfix"></div>

                <div class="col-sm-12">
                    <div class="form-group">
                        <label for="account_email"><?php _e( 'Email address', 'woocommerce' ); ?> <span class="required">*</span></label>
                        <input type="email" class="form-control" name="account_email" id="account_email" value="<?php echo esc_attr( $user->user_email ); ?>" />
                    </div>


                    <fieldset>
                        <legend><?php _e( 'Password Change', 'woocommerce' ); ?></legend>

                        <div class="form-group">
                            <label for="password_current"><?php _e( 'Current Password (leave blank to leave unchanged)', 'woocommerce' ); ?></label>
                            <input type="password" class="form-control" name="password_current" id="password_current" />
                        </div>

                        <div class="form-group">
                            <label for="password_1"><?php _e( 'New Password (leave blank to leave unchanged)', 'woocommerce' ); ?></label>
                            <input type="password" class="form-control" name="password_1" id="password_1" />
                        </div>

                        <div class="form-group">
                            <label for="password_2"><?php _e ( 'Confirm New Password', 'woocommerce' ); ?></label>
                            <input type="password" class="form-control" name="password_2" id="password_2" />
                        </div>
                    </fieldset>

                </div>

                <div class="clearfix"></div>

                <?php do_action( 'woocommerce_edit_account_form' ); ?>

                <div class="col-sm-12">
                    <?php wp_nonce_field( 'save_account_details' ); ?>
                    <input type="submit" class="btn btn-flat btn-primary" name="save_account_details" value="<?php esc_attr_e( 'Save changes', 'woocommerce' ); ?>"/>
                    <input type="hidden" name="action" value="save_account_details"/>
                </div>
            </div>
            <?php do_action( 'woocommerce_edit_account_form_end' ); ?>

        </form>
    </div>
</div>