<?php
/**
 * Single Product Image
 *
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     2.0.14
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $post, $woocommerce, $product;

$attachment_ids = $product->get_gallery_attachment_ids();

?>
<?php if ($attachment_ids) : ?>
    <div class="images">
        <?php
        $attributes = om_get_attributes_string(array(
            'image_size' => apply_filters('single_product_large_thumbnail_size', 'shop_single'),
            'on_click' => get_option('woocommerce_enable_lightbox') == 'yes' ? 'lightbox' : 'nothing',
            'show_pagination' => 'true',
            'show_arrows' => 'true',
            'height' => 'auto',
            'images' => join(',', apply_filters('om_wc_single_product_ids', $attachment_ids, $product)),
            'enable_autoplay' => 'false',
            'enable_rewind' => 'false'
        ));

        echo do_shortcode("[om_carousel$attributes]");
        ?>
    </div>
<?php endif; ?>